# Generated from koine-appgenerator-0.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name koine-appgenerator

Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 1%{?dist}
Summary: Generate a rails with Marcelo Jacobus favorites gems and initial settings
License: MIT
URL: http://github.com/mjacobus/koine-appgenerator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(minitest-reporters)
BuildArch: noarch

%description
koine-appgenerator is a custom rails app generator.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/koine-appgenerator
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/koine-appgenerator.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.9.0-1
- Initial package
